Doomsday Engine - Bug #1957

[Doom] God Mode cheat doesn't respect Values def
2015-01-30 20:18 - vermil

Status: New Start date: 2015-01-30
Priority: Low % Done: 0%
Assignee:

Category: Defect

Target version: Modding

Description

An element of the god mode cheat (IDDQD or 'god') still appears to set some internal element of the players health to 100,
irrespective of what the values def god mode health is set to. Though the cheat still appears to set the players actual health to the
amount specified in the god mode health values def field.

| have noticed because | co-incidentally wrote an XG def that activates when the players health is 100 (the player defaults to a health
value lower than 100 in my mod) or higher and enabled god mode for testing other things.

Also, on a related note, the 'give h' console command set's the players health to 100, completely ignoring the values def values. It
should probably instead set the players health to either the max health or health limit specified in the values defs.

History

#1 - 2015-01-30 20:30 - vermil

To add a little, whatever the obscure element of the god mode cheat that still thinks 100 over what is in the values def, is, caused my above
mentioned XG def to activate.

#2 - 2015-02-02 11:46 - skyjake

- Category set to Vanilla emulation

#3 - 2015-02-11 15:22 - skyjake

- Priority changed from Normal to Low
#4 - 2015-02-20 12:43 - vermil
Further testing reveals that this issue isn't that god mode set's the player's health to 100 internally.

Rather than some internal element of the god mode cheat still appears to be reading from the 'max health' field in values, rather than the 'god mode
health' field also in values.

Hence this issue is now that the 'god mode health' field appears to have not been fully implemented?

My additional comment regarding the 'give h' console command above has either been fixed since | reported, or was an erroneous comment on my
part; the give h console command seems to currently, correctly set the players health to the 'max health'.

#5 - 2015-02-20 14:02 - skyjake
- Subject changed from [Doom] God Mode cheat oversight to [Doom] God Mode cheat doesn't respect Values def

#6 - 2015-02-20 14:02 - skyjake

- Category changed from Vanilla emulation to Defect

#7 - 2017-04-03 14:03 - skyjake

- Target version set to Modding
